Developers

Referencia de API para desarrolladores

An API key is required for requests to be processed by the system. Once a user registers, an API key is automatically generated for this user.

เอ็มเปซานโด

Se requiere una clave API para que el sistema procese las solicitudes. Una vez que un usuario se registra, se genera automáticamente una clave API para este usuario. La clave API debe enviarse con cada solicitud (consulte el ejemplo completo a continuación). Si la clave API no se envía o está caducada, habrá un error. Asegúrese de mantener en secreto su clave API para evitar abusos.

Autenticación

Para autenticarse con el sistema API, debe enviar su clave API como un token de autorización con cada solicitud. Puede ver el código de muestra a continuación.

curl --location --request POST 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 

Límite de tarifa

Nuestra API tiene un limitador de velocidad para protegerse contra picos en las solicitudes para maximizar su estabilidad. Nuestro limitador de frecuencia actualmente tiene un límite de 30 solicitudes por 1 minuto. โปรดทราบว่าราคาอาจเปลี่ยนแปลงได้ตามแผนที่สมัคร

Se enviarán varios encabezados junto con la respuesta y estos se pueden examinar para determinar información diversa sobre la solicitud.

X-RateLimit-Limit: 30X-RateLimit-Remaining: 29X-RateLimit-Reset: TIMESTAMP

Manejo de respuestas

Todas las respuestas de la API se devuelven en formato JSON de forma predeterminada. Para convertir esto en datos utilizables, será necesario utilizar la función adecuada según el idioma. En PHP, la función json_decode() se puede usar para convertir los datos en un objeto (predeterminado) o en una matriz (establezca el segundo parámetro en verdadero). Es muy importante verificar la clave de error ya que proporciona información sobre si hubo un error o no. También puede consultar el código de cabecera.

{
    "error": 1,
    "message": "An error occurred"
}

กัมปาญาส

รายการแคมเปญ

รับ https://urlkai.com/api/campaigns?limit=2&page=1

หากต้องการรับแคมเปญผ่าน API คุณสามารถใช้ตําแหน่งข้อมูลนี้ได้ คุณยังสามารถกรองข้อมูลได้อีกด้วย (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
เขต (ไม่บังคับ) ผลลัพธ์ข้อมูลต่อหน้า
หน้า (ไม่บังคับ) คําขอหน้าปัจจุบัน
curl --location --request GET 'https://urlkai.com/api/campaigns?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}

Crear una campaña

ประกาศ https://urlkai.com/api/campaign/add

สามารถเพิ่มแคมเปญได้โดยใช้ตําแหน่งข้อมูลนี้

ปาราเมโทร คําอธิบาย
ชื่อ (ไม่บังคับ) ชื่อแคมเปญ
ทาก (ไม่บังคับ) ทากโรเตเตอร์
สาธารณะ (ไม่บังคับ) เข้าถึง
curl --location --request POST 'https://urlkai.com/api/campaign/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'

Respuesta del servidor

{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
ประกาศ https://urlkai.com/api/campaign/:campaignid/assign/:linkid

สามารถกําหนดลิงก์แบบสั้นให้กับแคมเปญได้โดยใช้ตําแหน่งข้อมูลนี้ ปลายทางต้องใช้รหัสแคมเปญและรหัสลิงก์สั้น

curl --location --request POST 'https://urlkai.com/api/campaign/:campaignid/assign/:linkid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "message": "Link successfully added to the campaign."
}

Actualizar campaña

วาง https://urlkai.com/api/campaign/:id/update

หากต้องการอัปเดตแคมเปญ คุณต้องส่งข้อมูลที่ถูกต้องในรูปแบบ JSON ผ่านคําขอ PUT ข้อมูลจะต้องถูกส่งเป็นเนื้อหาดิบของคําขอของคุณดังที่แสดงด้านล่าง ตัวอย่างด้านล่างแสดงพารามิเตอร์ทั้งหมดที่คุณสามารถส่งได้ แต่คุณไม่จําเป็นต้องส่งทั้งหมด (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
ชื่อ (จําเป็น) ชื่อแคมเปญ
ทาก (ไม่บังคับ) ทากโรเตเตอร์
สาธารณะ (ไม่บังคับ) เข้าถึง
curl --location --request PUT 'https://urlkai.com/api/campaign/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'

Respuesta del servidor

{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}

ลบแคมเปญ

ลบ https://urlkai.com/api/campaign/:id/delete

หากต้องการลบแคมเปญ คุณต้องส่งคําขอ DELETE

curl --location --request DELETE 'https://urlkai.com/api/campaign/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

คานาเลส

รายการช่อง

รับ https://urlkai.com/api/channels?limit=2&page=1

หากต้องการรับช่องผ่าน API คุณสามารถใช้ปลายทางนี้ได้ คุณยังสามารถกรองข้อมูลได้อีกด้วย (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
เขต (ไม่บังคับ) ผลลัพธ์ข้อมูลต่อหน้า
หน้า (ไม่บังคับ) คําขอหน้าปัจจุบัน
curl --location --request GET 'https://urlkai.com/api/channels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}

รายการช่อง

รับ https://urlkai.com/api/channel/:id?limit=1&page=1

หากต้องการรับรายการในช่องทางที่เลือกผ่าน API คุณสามารถใช้ปลายทางนี้ได้ คุณยังสามารถกรองข้อมูลได้อีกด้วย (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
เขต (ไม่บังคับ) ผลลัพธ์ข้อมูลต่อหน้า
หน้า (ไม่บังคับ) คําขอหน้าปัจจุบัน
curl --location --request GET 'https://urlkai.com/api/channel/:id?limit=1&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/urlkai.com\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/urlkai.com\/mybio",
                "link": "https:\/\/urlkai.com\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}

คลอง Crear un

ประกาศ https://urlkai.com/api/channel/add

สามารถเพิ่มช่องทางได้โดยใช้ปลายทางนี้

ปาราเมโทร คําอธิบาย
ชื่อ (จําเป็น) ชื่อช่อง
คำอธิบาย (ไม่บังคับ) คําอธิบายช่อง
สี (ไม่บังคับ) สีป้ายช่อง (HEX)
ติดดาว (ไม่บังคับ) ติดดาวช่องหรือไม่ (จริงหรือเท็จ)
curl --location --request POST 'https://urlkai.com/api/channel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'

Respuesta del servidor

{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}

กําหนดรายการให้กับช่องทาง

ประกาศ https://urlkai.com/api/channel/:channelid/assign/:type/:itemid

สามารถกําหนดรายการให้กับช่องทางใดก็ได้โดยการส่งคําขอพร้อมรหัสช่อง ประเภทรายการ (ลิงก์ ชีวภาพ หรือ qr) และรหัสรายการ

ปาราเมโทร คําอธิบาย
:channelid (จําเป็น) รหัสช่อง
:ประเภท (ต้อง) ลิงก์หรือชีวประวัติหรือ QR
:รายการ ID (จําเป็น) รหัสรายการ
curl --location --request POST 'https://urlkai.com/api/channel/:channelid/assign/:type/:itemid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "message": "Item successfully added to the channel."
}

คลอง Actualizar

วาง https://urlkai.com/api/channel/:id/update

หากต้องการอัปเดตช่องทาง คุณต้องส่งข้อมูลที่ถูกต้องในรูปแบบ JSON ผ่านคําขอ PUT ข้อมูลจะต้องถูกส่งเป็นเนื้อหาดิบของคําขอของคุณดังที่แสดงด้านล่าง ตัวอย่างด้านล่างแสดงพารามิเตอร์ทั้งหมดที่คุณสามารถส่งได้ แต่คุณไม่จําเป็นต้องส่งทั้งหมด (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
ชื่อ (ไม่บังคับ) ชื่อช่อง
คำอธิบาย (ไม่บังคับ) คําอธิบายช่อง
สี (ไม่บังคับ) สีป้ายช่อง (HEX)
ติดดาว (ไม่บังคับ) ติดดาวช่องหรือไม่ (จริงหรือเท็จ)
curl --location --request PUT 'https://urlkai.com/api/channel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'

Respuesta del servidor

{
    "error": 0,
    "message": "Channel has been updated successfully."
}

ลบช่อง

ลบ https://urlkai.com/api/channel/:id/delete

หากต้องการลบช่อง คุณต้องส่งคําขอ DELETE รายการทั้งหมดจะถูกยกเลิกการกําหนดเช่นกัน

curl --location --request DELETE 'https://urlkai.com/api/channel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "message": "Channel has been deleted successfully."
}

คูเอนตา

Obtener cuenta

รับ https://urlkai.com/api/account

Para obtener información sobre la cuenta, puede enviar una solicitud a este punto final y devolverá datos sobre la cuenta.

curl --location --request GET 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "data": {
        "id": 1,
        "email": "[email protected]",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}

Actualizar cuenta

วาง https://urlkai.com/api/account/update

Para actualizar la información de la cuenta, puede enviar una solicitud a este punto final y actualizará los datos de la cuenta.

curl --location --request PUT 'https://urlkai.com/api/account/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "[email protected]",
    "password": "NewPassword1"
}'

Respuesta del servidor

{
    "error": 0,
    "message": "Account has been successfully updated."
}

คิวอาร์โค้ด

แสดงรายการรหัส QR

รับ https://urlkai.com/api/qr?limit=2&page=1

Para obtener sus códigos QR a través de la API, puede usar este punto final. También puede filtrar datos (Ver tabla para más información).

ปาราเมโทร คําอธิบาย
เขต (ไม่บังคับ) ผลลัพธ์ข้อมูลต่อหน้า
หน้า (ไม่บังคับ) คําขอหน้าปัจจุบัน
curl --location --request GET 'https://urlkai.com/api/qr?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/urlkai.com\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/urlkai.com\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}

Obtenga un solo código QR

รับ https://urlkai.com/api/qr/:id

Para obtener detalles de un solo código QR a través de la API, puede usar este punto final.

curl --location --request GET 'https://urlkai.com/api/qr/:id' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/urlkai.com\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}

Crear un código QR

ประกาศ https://urlkai.com/api/qr/add

ในการสร้างรหัส QR คุณต้องส่งข้อมูลที่ถูกต้องในรูปแบบ JSON ผ่านคําขอ POST ข้อมูลจะต้องถูกส่งเป็นเนื้อหาดิบของคําขอของคุณดังที่แสดงด้านล่าง ตัวอย่างด้านล่างแสดงพารามิเตอร์ทั้งหมดที่คุณสามารถส่งได้ แต่คุณไม่จําเป็นต้องส่งทั้งหมด (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
ประเภท ข้อความ (จําเป็น) | วีการ์ด | ลิงค์ | อีเมล | โทรศัพท์ | SMS | อินเตอร์เน็ตไร้สาย
ข้อมูล (จําเป็น) ข้อมูลที่จะฝังไว้ในคิวอาร์โค้ด ข้อมูลสามารถเป็นสตริงหรืออาร์เรย์ขึ้นอยู่กับประเภท
พื้นหลัง (ไม่บังคับ) สี RGB เช่น rgb (255,255,255)
เบื้องหน้า (ไม่บังคับ) สี RGB เช่น rgb(0,0,0)
โลโก้ (ไม่บังคับ) เส้นทางไปยังโลโก้ png หรือ jpg
ชื่อ (ไม่บังคับ) ชื่อคิวอาร์โค้ด
curl --location --request POST 'https://urlkai.com/api/qr/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'

Respuesta del servidor

{
    "error": 0,
    "id": 3,
    "link": "https:\/\/urlkai.com\/qr\/a58f79"
}

อัปเดตรหัส QR

วาง https://urlkai.com/api/qr/:id/update

Para actualizar un código QR, debe enviar datos válidos en JSON a través de una solicitud PUT . Los datos deben enviarse como el cuerpo sin procesar de su solicitud, como se muestra a continuación. El siguiente ejemplo muestra todos los parámetros que puede enviar, pero no es necesario que los envíe todos (consulte la tabla para obtener más información).

ปาราเมโทร คําอธิบาย
ข้อมูล (จําเป็น) ข้อมูลที่จะฝังไว้ในคิวอาร์โค้ด ข้อมูลสามารถเป็นสตริงหรืออาร์เรย์ขึ้นอยู่กับประเภท
พื้นหลัง (ไม่บังคับ) สี RGB เช่น rgb (255,255,255)
เบื้องหน้า (ไม่บังคับ) สี RGB เช่น rgb(0,0,0)
โลโก้ (ไม่บังคับ) เส้นทางไปยังโลโก้ png หรือ jpg
curl --location --request PUT 'https://urlkai.com/api/qr/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'

Respuesta del servidor

{
    "error": 0,
    "message": "QR has been updated successfully."
}

Eliminar un código QR

ลบ https://urlkai.com/api/qr/:id/delete

Para eliminar un código QR, debe enviar una solicitud de ELIMINACIÓN.

curl --location --request DELETE 'https://urlkai.com/api/qr/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}

โดมินิออส เด มาร์กา

แสดงรายการโดเมนที่มีตราสินค้า

รับ https://urlkai.com/api/domains?limit=2&page=1

หากต้องการรับโดเมนที่มีตราสินค้าผ่าน API คุณสามารถใช้ตําแหน่งข้อมูลนี้ได้ คุณยังสามารถกรองข้อมูลได้อีกด้วย (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
เขต (ไม่บังคับ) ผลลัพธ์ข้อมูลต่อหน้า
หน้า (ไม่บังคับ) คําขอหน้าปัจจุบัน
curl --location --request GET 'https://urlkai.com/api/domains?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}

สร้างโดเมนที่มีตราสินค้า

ประกาศ https://urlkai.com/api/domain/add

สามารถเพิ่มโดเมนได้โดยใช้ปลายทางนี้ โปรดตรวจสอบให้แน่ใจว่าโดเมนชี้ไปยังเซิร์ฟเวอร์ของเราอย่างถูกต้อง

ปาราเมโทร คําอธิบาย
อาณาจักร (จําเป็น) โดเมนที่มีตราสินค้ารวมถึง http หรือ https
เปลี่ยนเส้นทางราก (ไม่บังคับ) การเปลี่ยนเส้นทางรูทเมื่อมีคนเข้าชมโดเมนของคุณ
เปลี่ยนเส้นทาง 404 (ไม่บังคับ) เปลี่ยนเส้นทาง 404 แบบกําหนดเอง
curl --location --request POST 'https://urlkai.com/api/domain/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'

Respuesta del servidor

{
    "error": 0,
    "id": 1
}

Actualizar dominio

วาง https://urlkai.com/api/domain/:id/update

หากต้องการอัปเดตโดเมนที่มีตราสินค้า คุณต้องส่งข้อมูลที่ถูกต้องในรูปแบบ JSON ผ่านคําขอ PUT ข้อมูลจะต้องถูกส่งเป็นเนื้อหาดิบของคําขอของคุณดังที่แสดงด้านล่าง ตัวอย่างด้านล่างแสดงพารามิเตอร์ทั้งหมดที่คุณสามารถส่งได้ แต่คุณไม่จําเป็นต้องส่งทั้งหมด (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
เปลี่ยนเส้นทางราก (ไม่บังคับ) การเปลี่ยนเส้นทางรูทเมื่อมีคนเข้าชมโดเมนของคุณ
เปลี่ยนเส้นทาง 404 (ไม่บังคับ) เปลี่ยนเส้นทาง 404 แบบกําหนดเอง
curl --location --request PUT 'https://urlkai.com/api/domain/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'

Respuesta del servidor

{
    "error": 0,
    "message": "Domain has been updated successfully."
}

ลบโดเมน

ลบ https://urlkai.com/api/domain/:id/delete

หากต้องการลบโดเมน คุณต้องส่งคําขอ DELETE

curl --location --request DELETE 'https://urlkai.com/api/domain/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "message": "Domain has been deleted successfully."
}

แฟ้ม

รายการไฟล์

รับ https://urlkai.com/api/files?limit=2&page=1

รับไฟล์ทั้งหมดของคุณ คุณยังสามารถค้นหาตามชื่อ

ปาราเมโทร คําอธิบาย
ชื่อ (ไม่บังคับ) ค้นหาไฟล์ตามชื่อ
เขต (ไม่บังคับ) ผลลัพธ์ข้อมูลต่อหน้า
หน้า (ไม่บังคับ) คําขอหน้าปัจจุบัน
curl --location --request GET 'https://urlkai.com/api/files?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "result": 3,
    "perpage": 15,
    "currentpage": 1,
    "nextpage": null,
    "maxpage": 1,
    "list": [
        {
            "id": 1,
            "name": "My Photo",
            "downloads": 10,
            "shorturl": "https:\/\/urlkai.com\/fcuYI",
            "date": "2022-08-09 17:00:00"
        },
        {
            "id": 2,
            "name": "My Documents",
            "downloads": 15,
            "shorturl": "https:\/\/urlkai.com\/XtCpF",
            "date": "2022-08-10 17:01:00"
        },
        {
            "id": 3,
            "name": "My Files",
            "downloads": 5,
            "shorturl": "https:\/\/urlkai.com\/ihjlh",
            "date": "2022-08-11 19:01:00"
        }
    ]
}

อัปโหลดไฟล์

ประกาศ https://urlkai.com/api/files/upload/:filename?name=My+File

อัปโหลดไฟล์โดยส่งข้อมูลไบนารีเป็นเนื้อหาโพสต์ คุณต้องส่งชื่อไฟล์ที่มีนามสกุลแทน :filename ใน URL (เช่น brandkit.zip) คุณสามารถตั้งค่าตัวเลือกได้โดยส่งพารามิเตอร์ต่อไปนี้

ปาราเมโทร คําอธิบาย
ชื่อ (ไม่บังคับ) ชื่อไฟล์
ธรรมเนียม (ไม่บังคับ) นามแฝงที่กําหนดเองแทนนามแฝงแบบสุ่ม
อาณาจักร (ไม่บังคับ) โดเมนที่กําหนดเอง
รหัสผ่าน (ไม่บังคับ) การป้องกันด้วยรหัสผ่าน
หมด อายุ (ไม่บังคับ) การหมดอายุสําหรับตัวอย่างการดาวน์โหลด 2021-09-28
ดาวน์โหลดสูงสุด (ไม่บังคับ) จํานวนการดาวน์โหลดสูงสุด
curl --location --request POST 'https://urlkai.com/api/files/upload/:filename?name=My+File' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '"BINARY DATA"'

Respuesta del servidor

{
    "error": 0,
    "id": 1,
    "shorturl": "https:\/\/urlkai.com\/ajloI"
}

Personalizar página de bienvenida

รายการ Custom Splash

รับ https://urlkai.com/api/splash?limit=2&page=1

To get Splash Pages via the API, you can use this endpoint. You can also filter data (See table for more info).

ปาราเมโทร คําอธิบาย
เขต (ไม่บังคับ) ผลลัพธ์ข้อมูลต่อหน้า
หน้า (ไม่บังคับ) คําขอหน้าปัจจุบัน
curl --location --request GET 'https://urlkai.com/api/splash?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

พิก เซล

รายการพิกเซล

รับ https://urlkai.com/api/pixels?limit=2&page=1

หากต้องการรับรหัสพิกเซลผ่าน API คุณสามารถใช้ปลายทางนี้ได้ คุณยังสามารถกรองข้อมูลได้อีกด้วย (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
เขต (ไม่บังคับ) ผลลัพธ์ข้อมูลต่อหน้า
หน้า (ไม่บังคับ) คําขอหน้าปัจจุบัน
curl --location --request GET 'https://urlkai.com/api/pixels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

สร้างพิกเซล

ประกาศ https://urlkai.com/api/pixel/add

สามารถสร้างพิกเซลได้โดยใช้ตําแหน่งข้อมูลนี้ คุณต้องส่งประเภทพิกเซลและแท็ก

ปาราเมโทร คําอธิบาย
ประเภท (จําเป็น) gtmpixel | gtmpixel กาพิกเซล | FBPIXEL | FBPIXEL AdWords พิกเซล | AdWordsPixel LinkedInPixel | LinkedIn TwitterPixel | ทวิตเตอร์พิกเซล AdrollPixel | AdrollPixel ควอราพิกเซล | Pinterest | Bing | สแน็ปแชท | Snapchat เรดดิต | ติ๊กต๊อก
ชื่อ (จําเป็น) ชื่อที่กําหนดเองสําหรับพิกเซลของคุณ
ฉลาก (จําเป็น) แท็กสําหรับพิกเซล
curl --location --request POST 'https://urlkai.com/api/pixel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Respuesta del servidor

{
    "error": 0,
    "id": 1
}

Actualizar píxel

วาง https://urlkai.com/api/pixel/:id/update

หากต้องการอัปเดตพิกเซล คุณต้องส่งข้อมูลที่ถูกต้องในรูปแบบ JSON ผ่านคําขอ PUT ข้อมูลจะต้องถูกส่งเป็นเนื้อหาดิบของคําขอของคุณดังที่แสดงด้านล่าง ตัวอย่างด้านล่างแสดงพารามิเตอร์ทั้งหมดที่คุณสามารถส่งได้ แต่คุณไม่จําเป็นต้องส่งทั้งหมด (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
ชื่อ (ไม่บังคับ) ชื่อที่กําหนดเองสําหรับพิกเซลของคุณ
ฉลาก (จําเป็น) แท็กสําหรับพิกเซล
curl --location --request PUT 'https://urlkai.com/api/pixel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Respuesta del servidor

{
    "error": 0,
    "message": "Pixel has been updated successfully."
}

ลบพิกเซล

ลบ https://urlkai.com/api/pixel/:id/delete

หากต้องการลบพิกเซล คุณต้องส่งคําขอลบ

curl --location --request DELETE 'https://urlkai.com/api/pixel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

Superposiciones de CTA

รายการซ้อนทับ CTA

รับ https://urlkai.com/api/overlay?limit=2&page=1

หากต้องการรับการซ้อนทับ cta ผ่าน API คุณสามารถใช้ปลายทางนี้ได้ คุณยังสามารถกรองข้อมูลได้อีกด้วย (ดูตารางสําหรับข้อมูลเพิ่มเติม)

ปาราเมโทร คําอธิบาย
เขต (ไม่บังคับ) ผลลัพธ์ข้อมูลต่อหน้า
หน้า (ไม่บังคับ) คําขอหน้าปัจจุบัน
curl --location --request GET 'https://urlkai.com/api/overlay?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Respuesta del servidor

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}